<div class="row space">
  <div class="col">
    <mat-card class="card-style mr-auto ml-auto" matRipple>
      <div *ngIf="loadingFinished">
        <mat-card-header>
          <mat-card-title>DRIVER: {{driverToShow.surename}} {{ driverToShow.name }}</mat-card-title>
          <mat-card-subtitle>TEAM: {{mapDriverToTeam.get(driverToShow.driverId).name}}</mat-card-subtitle>
        </mat-card-header>
        <mat-divider></mat-divider>
        <mat-card-content>
          <mat-list-item class="driverListItem">
            Current Position: P{{driverToShow.position}}
          </mat-list-item>
          <mat-divider [inset]="true"></mat-divider>
          <mat-list-item class="driverListItem">Current Points: {{driverToShow.points}}</mat-list-item>
          <mat-divider [inset]="true"></mat-divider>
          <mat-list-item class="driverListItem">Next
            Car: {{mapDriverToTeam.get(driverToShow.driverId).nextCar}}</mat-list-item>
          <mat-divider [inset]="true"></mat-divider>
          <mat-accordion (click)="loadRaceResults()">
            <mat-expansion-panel style="margin-top: 15px">
              <mat-expansion-panel-header>
                <mat-panel-title>
                  Racing history
                </mat-panel-title>
              </mat-expansion-panel-header>
              <div *ngIf="loadedTable">
                <div *ngIf="noContent">
                  <mat-list-item class="driverListItem">No Content</mat-list-item>
                </div>
                <div *ngIf="!noContent">
                  <table [dataSource]="dataSource" class="mat-elevation-z8" mat-table>

                    <ng-container matColumnDef="circuit">
                      <th *matHeaderCellDef mat-header-cell> Race</th>
                      <td *matCellDef="let race" mat-cell> {{race.circuit}} </td>
                    </ng-container>

                    <ng-container matColumnDef="endPosition">
                      <th *matHeaderCellDef mat-header-cell> Endposition</th>
                      <td *matCellDef="let race" mat-cell> {{race.endPosition}} </td>
                    </ng-container>

                    <ng-container matColumnDef="points">
                      <th *matHeaderCellDef mat-header-cell> Points</th>
                      <td *matCellDef="let race" [ngClass]="{'fastest': race.hasFastestLap}"
                          mat-cell> {{race.points}} </td>
                    </ng-container>

                    <ng-container matColumnDef="totalPoints">
                      <th *matHeaderCellDef mat-header-cell> Total Points</th>
                      <td *matCellDef="let race" mat-cell> {{race.totalPoints}} </td>
                    </ng-container>

                    <ng-container matColumnDef="totalPosition">
                      <th *matHeaderCellDef mat-header-cell> Total Position</th>
                      <td *matCellDef="let race" mat-cell> {{race.totalPosition}} </td>
                    </ng-container>

                    <ng-container matColumnDef="car">
                      <th *matHeaderCellDef mat-header-cell> Car in race</th>
                      <td *matCellDef="let race" mat-cell> {{race.car}} </td>
                    </ng-container>

                    <tr *matHeaderRowDef="columnsToDisplay" mat-header-row></tr>
                    <tr *matRowDef="let row; columns: columnsToDisplay;" mat-row></tr>
                  </table>
                </div>
              </div>
              <div *ngIf="!loadedTable">
                <mat-progress-bar mode="buffer"></mat-progress-bar>
              </div>
            </mat-expansion-panel>
          </mat-accordion>
        </mat-card-content>
      </div>
      <div *ngIf="!loadingFinished">
        <mat-progress-bar class="driverProgressBar" mode="query"></mat-progress-bar>
      </div>
    </mat-card>
  </div>
</div>




